#
# spec file for package golang-org-x-net
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Graham Anderson <graham.anderson@gmail.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-org-x-net
Version:        1.4.2+git20150629.d9558e5
Release:        6.3
Summary:        Additional go.networking libraries
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://github.com/golang/net
Source:         net-%{version}.tar.xz
BuildRequires:  golang-packaging
BuildRequires:  golang(golang.org/x/text)
BuildRequires:	xz
Provides:       go-go.net = %{version}
Obsoletes:      go-go.net < %{version}
Provides:	go-net = %{version}
Obsoletes:	go-net < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}

%description
This package contains additional go.network libraries such as 
the websocket and SPDY protocols that are developed by the Go
team but outside of the main source tree.

%gosrc_package

%prep
%setup -q -n net-%{version}

%build
%goprep golang.org/x/net
%gobuild ...

%install
%goinstall
%gosrc

%files
%defattr(-,root,root,-)
%doc LICENSE
%{go_contribdir}/*

%files source
%defattr(-,root,root,-)
%{go_contribsrcdir}/*

%changelog
* Tue Jul  7 2015 i@marguerite.su
- rename to golang-org-x-net
- update version 1.4.2+git20150629.d9558e5
- use golang-packaging for packaging
* Sat Mar 21 2015 i@marguerite.su
- add xz as BuildRequires
* Sun Mar  8 2015 i@marguerite.su
- update version 1.4.2+git20150304.6dc0abc
- package name changed: go-net
* Fri Oct 18 2013 speilicke@suse.com
- Set version to 1.2rc2 after go update
* Fri Oct 18 2013 speilicke@suse.com
- Update to version 1.1.2+hg20131014.85.355ff0aa1b2e:
  + No changelog
* Fri Oct 18 2013 speilicke@suse.com
- Renamed to go-go.net (from go-net)
- Add _service file
* Tue May 14 2013 graham@andtech.eu
- go.net/ipv4: use testing.Skip{,f}
- go.net/websocket: update package comment to refer RFC 6455
- go.net/websocket: optimize frame masking code
- go.net/websocket: allow server configurable
- publicsuffix: update table to latest list from publicsuffix.org
- go.net/websocket: fix handshake error.
* Sun Mar 10 2013 graham@andtech.eu
- publicsuffix: rename exp/cookiejar as net/http/cookiejar.
- publicsuffix: build the full table from publicsuffix.org's
- html: don't use Go tip io.ByteWriter
- spdy: make use of MaxDataLength
- ipv4: fix sprious lookahead on IPConn-based PacketConn
- ipv4: simplify, drop unnecessary parentheses and slice indices
- html: move exp/html and exp/html/atom here to the go.net
- proxy: make proxy tests able to run with host protocol stack
- proxy: make use of constants
- proxy: fix typo
- spdy: update SPDY/2 to SPDY/3
- proxy: fix desired destination address in SOCKS5 CONNECT
- publicsuffix: add an EffectiveTLDPlus1 function.
- publicsuffix: distinguish ICANN domains from private domains;
- publicsuffix: tighten the encoding from 8 bytes per node to 4.
- ipv4: update doc
- ipv4: change I/O method signatures on PacketConn and RawConn
- publicsuffix: use IDNA.
- idna: new package.
- publicsuffix: new package.
- ipv4: remove arguments from example functions
- proxy: fix IP address determination
- go.net: gofmt -w -s
- ipv4: make supportsNewIPInput const
- spdy: disallow stream id 0
- net/spdy: handle corrupted zlib data on read
- ipv4: make variable names clear
- go.net: apply gofmt -w -s
- websocket: Use protocol parameter in websocket.Dial.
- ipv4: make RFC numbers in doc clickable on GoPkgDoc
- spdy: fix typo
- spdy: add package description
* Mon Nov 19 2012 graham@andtech.eu
- Update to hg6a42774d38e5
- Update websockets to hybi17 & hixie76/hybi00
- New ipv4 package
* Mon May  7 2012 graham@andtech.eu
- LICENSE now in tarball, add AUTHORS, README etc to docs
* Tue Mar 13 2012 graham@andtech.eu
- Update to weekly.2012-03-13
* Thu Mar  8 2012 graham@andtech.eu
- update spec file with addition go rpm macros
* Fri Feb 24 2012 graham@andtech.eu
- Update for weekly.2012-02-22
  go.net: gofix for net/url API changes.
* Thu Feb 16 2012 graham@andtech.eu
- spdy: use zlib.NewWriterLevelDict
* Mon Jan 30 2012 graham@andtech.eu
- Initial package
